%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%define author johnsensible
%define unmangled_name django-sendfile

Summary: Abstraction to offload file uploads to web-server
Name: python-%{unmangled_name}
Version: 0.3.10
Release: 2%{?dist}.1
Source0: https://github.com/%{author}/%{unmangled_name}/archive/v%{version}/%{unmangled_name}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif
Vendor: John Montgomery <john@sensibledevelopment.com>
Url: https://github.com/johnsensible/django-sendfile

%description
This is a wrapper around web-server specific methods for sending files
to web clients.  This is useful when Django needs to check permissions
associated files, but does not want to serve the actual bytes of the file
itself.  i.e. as serving large files is not what Django is made for.

Note this should not be used for regular file serving (e.g. css etc),
only for cases where you need Django to do some work before serving
the actual file.

%package -n python2-%{unmangled_name}
Summary: Abstraction to offload file uploads to web-server
Group: Development/Libraries
Requires: python-django >= 1.3
%{?python_provide:%python_provide python2-%{unmangled_name}}

%description -n python2-%{unmangled_name}
This is a wrapper around web-server specific methods for sending files
to web clients.  This is useful when Django needs to check permissions
associated files, but does not want to serve the actual bytes of the file
itself.  i.e. as serving large files is not what Django is made for.

Note this should not be used for regular file serving (e.g. css etc),
only for cases where you need Django to do some work before serving
the actual file.

This package contains the python2 version of this module.

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: Abstraction to offload file uploads to web-server
Group: Development/Libraries
Requires: python3-django >= 1.3
%{?python_provide:%python_provide python3-%{unmangled_name}}

%description -n python3-%{unmangled_name}
This is a wrapper around web-server specific methods for sending files
to web clients.  This is useful when Django needs to check permissions
associated files, but does not want to serve the actual bytes of the file
itself.  i.e. as serving large files is not what Django is made for.

Note this should not be used for regular file serving (e.g. css etc),
only for cases where you need Django to do some work before serving
the actual file.

This package contains the python3 version of this module.
%endif

%prep
%setup -n %{unmangled_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python2-%{unmangled_name}
%{python2_sitelib}/sendfile
%{python2_sitelib}/django_sendfile-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{unmangled_name}
%{python3_sitelib}/sendfile
%{python3_sitelib}/django_sendfile-%{version}-py?.?.egg-info
%endif
%changelog
* Tue Nov 22 2016 Oleg Girko <ol@infoserver.lv> 0.3.10-2
- Simplify spec file and make it more modern
- Build python2-django-sendfile package instead of python-django-sendfile
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 0.3.10-1
- Update to 0.3.10
- Enable build with Python 3
* Thu Sep 10 2015 Oleg Girko <ol@infoserver.lv> 0.3.9-2
- Require python for building
* Wed Sep  9 2015 Oleg Girko <ol@infoserver.lv> 0.3.9-1
- Initial package
